/*****************************************************************************************
 Copyright (c) 2002 The UbixOS Project
 All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are
permitted provided that the following conditions are met:

Redistributions of source code must retain the above copyright notice, this list of
conditions, the following disclaimer and the list of authors.  Redistributions in binary
form must reproduce the above copyright notice, this list of conditions, the following
disclaimer and the list of authors in the documentation and/or other materials provided
with the distribution. Neither the name of the UbixOS Project nor the names of its
contributors may be used to endorse or promote products derived from this software
without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY
EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 $Log$
 Revision 1.13  2004/04/13 16:36:33  reddawg
 Changed our copyright, it is all now under a BSD-Style license



 $Id$

*****************************************************************************************/

#include <sys/video.h>
#include <stdarg.h>

int vsprintf(char *buf, const char *fmt, vaList args);
int ogPrintf(char *s);

int printOff   = 0x0;
int ogprintOff = 0x1;

int kprintf(const char *fmt, ...) {
  char buf[1024];
  vaList args;
  int i = 0x0;
  vaStart(args, fmt);
  i=vsprintf(buf,fmt,args);
  vaEnd(args);
  if (printOff == 0x0) {
    kprint(buf);
    }
  if (ogprintOff == 0x0) {
    ogPrintf(buf);
    }
  return(i);
  }

int vPrintf(const char *fmt, ...) {
  vaList args;
  int i;
  char buf[512];
  vaStart(args, fmt);
  i=vsprintf(buf,fmt,args);
  vaEnd(args);
  if (printOff == 0x0) 
    kprint(buf);
  return(i);
  }

int sprintf(char *buf,const char *fmt, ...) {
  vaList args;
  int i;
  vaStart(args, fmt);
  i=vsprintf(buf,fmt,args);
  vaEnd(args);
  return(i);
  }

/***
 END
 ***/
